<?php

/**
* Get started notice
*/

add_action( 'wp_ajax_professional_cv_resume_dismissed_notice_handler', 'professional_cv_resume_ajax_notice_handler' );

function professional_cv_resume_ajax_notice_handler() {
    if ( isset( $_POST['type'] ) ) {
        $type = sanitize_text_field( wp_unslash( $_POST['type'] ) );
        update_option( 'dismissed-' . $type, TRUE );
    }
}

function professional_cv_resume_deprecated_hook_admin_notice() {
        if ( ! get_option('dismissed-get_started', FALSE ) ) { ?>

            <?php
            $current_screen = get_current_screen();
				if ($current_screen->id !== 'appearance_page_professional-cv-resume-guide-page') {
             $professional_cv_resume_comments_theme = wp_get_theme(); ?>
            <div class="professional-cv-resume-notice-wrapper updated notice notice-get-started-class is-dismissible" data-notice="get_started">
			<div class="professional-cv-resume-notice">
				<div class="professional-cv-resume-notice-img">
					<img src="<?php echo esc_url(get_template_directory_uri() . '/assets/images/admin-logo.png'); ?>" alt="<?php esc_attr_e('logo', 'professional-cv-resume'); ?>">
				</div>
				<div class="professional-cv-resume-notice-content">
					<div class="professional-cv-resume-notice-heading"><?php esc_html_e('Thanks for installing ','professional-cv-resume'); ?><?php echo esc_html( $professional_cv_resume_comments_theme ); ?></div>
					<p><?php printf(__('In order to fully benefit from everything our theme has to offer, please make sure you visit our <a href="%s">For Premium Options</a>.', 'professional-cv-resume'), esc_url(admin_url('themes.php?page=professional-cv-resume-guide-page'))); ?></p>
				</div>
			</div>
		</div>
        <?php }
	}
}

add_action( 'admin_notices', 'professional_cv_resume_deprecated_hook_admin_notice' );

add_action( 'admin_menu', 'professional_cv_resume_getting_started' );
function professional_cv_resume_getting_started() {
	add_theme_page( esc_html__('Get Started', 'professional-cv-resume'), esc_html__('Get Started', 'professional-cv-resume'), 'edit_theme_options', 'professional-cv-resume-guide-page', 'professional_cv_resume_test_guide');
}

function professional_cv_resume_admin_enqueue_scripts() {
	wp_enqueue_style( 'professional-cv-resume-admin-style', esc_url( get_template_directory_uri() ).'/css/main.css' );
	wp_enqueue_script( 'professional-cv-resume-admin-script', get_template_directory_uri() . '/js/professional-cv-resume-admin-script.js', array( 'jquery' ), '', true );
    wp_localize_script( 'professional-cv-resume-admin-script', 'professional_cv_resume_ajax_object',
        array( 'ajax_url' => admin_url( 'admin-ajax.php' ) )
    );
}
add_action( 'admin_enqueue_scripts', 'professional_cv_resume_admin_enqueue_scripts' );

if ( ! defined( 'PROFESSIONAL_CV_RESUME_DOCS_FREE' ) ) {
define('PROFESSIONAL_CV_RESUME_DOCS_FREE',__('https://www.misbahwp.com/docs/professional-cv-resume-free-docs/','professional-cv-resume'));
}
if ( ! defined( 'PROFESSIONAL_CV_RESUME_DOCS_PRO' ) ) {
define('PROFESSIONAL_CV_RESUME_DOCS_PRO',__('https://www.misbahwp.com/docs/professional-cv-resume-pro-docs','professional-cv-resume'));
}
if ( ! defined( 'PROFESSIONAL_CV_RESUME_BUY_NOW' ) ) {
define('PROFESSIONAL_CV_RESUME_BUY_NOW',__('https://www.misbahwp.com/themes/resume-cv-wordpress-theme/','professional-cv-resume'));
}
if ( ! defined( 'PROFESSIONAL_CV_RESUME_SUPPORT_FREE' ) ) {
define('PROFESSIONAL_CV_RESUME_SUPPORT_FREE',__('https://wordpress.org/support/theme/professional-cv-resume','professional-cv-resume'));
}
if ( ! defined( 'PROFESSIONAL_CV_RESUME_REVIEW_FREE' ) ) {
define('PROFESSIONAL_CV_RESUME_REVIEW_FREE',__('https://wordpress.org/support/theme/professional-cv-resume/reviews/#new-post','professional-cv-resume'));
}
if ( ! defined( 'PROFESSIONAL_CV_RESUME_DEMO_PRO' ) ) {
define('PROFESSIONAL_CV_RESUME_DEMO_PRO',__('https://www.misbahwp.com/demo/professional-cv-resume/','professional-cv-resume'));
}
if( ! defined( 'PROFESSIONAL_CV_RESUME_THEME_BUNDLE' ) ) {
define('PROFESSIONAL_CV_RESUME_THEME_BUNDLE',__('https://www.misbahwp.com/themes/wordpress-bundle/','professional-cv-resume'));
}

function professional_cv_resume_test_guide() { ?>
	<?php $professional_cv_resume_theme = wp_get_theme(); ?>

	<div class="wrap" id="main-page">
		<div id="lefty">
			<div id="admin_links">
				<a href="<?php echo esc_url( PROFESSIONAL_CV_RESUME_DOCS_FREE ); ?>" target="_blank" class="blue-button-1"><?php esc_html_e( 'Documentation', 'professional-cv-resume' ) ?></a>
				<a href="<?php echo esc_url( admin_url('customize.php') ); ?>" id="customizer" target="_blank"><?php esc_html_e( 'Customize', 'professional-cv-resume' ); ?> </a>
				<a class="blue-button-1" href="<?php echo esc_url( PROFESSIONAL_CV_RESUME_SUPPORT_FREE ); ?>" target="_blank" class="btn3"><?php esc_html_e( 'Support', 'professional-cv-resume' ) ?></a>
				<a class="blue-button-2" href="<?php echo esc_url( PROFESSIONAL_CV_RESUME_REVIEW_FREE ); ?>" target="_blank" class="btn4"><?php esc_html_e( 'Review', 'professional-cv-resume' ) ?></a>
			</div>
			<div id="description">
				<h3><?php esc_html_e('Welcome! Thank you for choosing ','professional-cv-resume'); ?><?php echo esc_html( $professional_cv_resume_theme ); ?>  <span><?php esc_html_e('Version: ', 'professional-cv-resume'); ?><?php echo esc_html($professional_cv_resume_theme['Version']);?></span></h3>
				<img class="img_responsive" style="width:100%;" src="<?php echo esc_url( get_template_directory_uri() ); ?>/screenshot.png">
				<div id="description-insidee">
					<?php
						$professional_cv_resume_theme = wp_get_theme();
						echo wp_kses_post( apply_filters( 'misbah_theme_description', esc_html( $professional_cv_resume_theme->get( 'Description' ) ) ) );
					?>
				</div>
			</div>
		</div>

		<div id="righty">
			<div class="postboxx donate">
				<h3 class="hndle"><?php esc_html_e( 'Upgrade to Premium', 'professional-cv-resume' ); ?></h3>
				<div class="insidee">
					<p><?php esc_html_e('Discover upgraded pro features with premium version click to upgrade.','professional-cv-resume'); ?></p>
					<div id="admin_pro_links">
						<a class="blue-button-2" href="<?php echo esc_url( PROFESSIONAL_CV_RESUME_BUY_NOW ); ?>" target="_blank"><?php esc_html_e( 'Go Pro', 'professional-cv-resume' ); ?></a>
						<a class="blue-button-1" href="<?php echo esc_url( PROFESSIONAL_CV_RESUME_DEMO_PRO ); ?>" target="_blank"><?php esc_html_e( 'Live Demo', 'professional-cv-resume' ) ?></a>
						<a class="blue-button-2" href="<?php echo esc_url( PROFESSIONAL_CV_RESUME_DOCS_PRO ); ?>" target="_blank"><?php esc_html_e( 'Pro Docs', 'professional-cv-resume' ) ?></a>
					</div>
				</div>

				<h3 class="hndle bundle"><?php esc_html_e( 'Go For Theme Bundle', 'professional-cv-resume' ); ?></h3>
				<div class="insidee theme-bundle">
					<p class="offer"><?php esc_html_e('Get 80+ Perfect WordPress Theme In A Single Package at just $79."','professional-cv-resume'); ?></p>
					<p class="coupon"><?php esc_html_e('Exclusive Offer !! Get Our Theme Pack of 60+ WordPress Themes At 10% Off','professional-cv-resume'); ?><span class="coupon-code"><?php esc_html_e('"Themespack10"','professional-cv-resume'); ?></span></p>
					<div id="admin_pro_linkss">
						<a class="blue-button-1" href="<?php echo esc_url( PROFESSIONAL_CV_RESUME_THEME_BUNDLE ); ?>" target="_blank"><?php esc_html_e( 'Theme Bundle', 'professional-cv-resume' ) ?></a>
					</div>
				</div>
				<div class="d-table">
			    <ul class="d-column">
			      <li class="feature"><?php esc_html_e('Features','professional-cv-resume'); ?></li>
			      <li class="free"><?php esc_html_e('Pro','professional-cv-resume'); ?></li>
			      <li class="plus"><?php esc_html_e('Free','professional-cv-resume'); ?></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('24hrs Priority Support','professional-cv-resume'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-yes"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Kirki Framework','professional-cv-resume'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-yes"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Advance Posttype','professional-cv-resume'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-no"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('One Click Demo Import','professional-cv-resume'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-no"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Section Reordering','professional-cv-resume'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-no"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Enable / Disable Option','professional-cv-resume'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-yes"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Multiple Sections','professional-cv-resume'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-no"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Advance Color Pallete','professional-cv-resume'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-no"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Advance Widgets','professional-cv-resume'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-yes"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Page Templates','professional-cv-resume'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-no"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Advance Typography','professional-cv-resume'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-no"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Section Background Image / Color ','professional-cv-resume'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-no"></span></li>
			    </ul>
	  		</div>
			</div>
		</div>
	</div>

<?php } ?>
